Bug 2549 - gpm does not close stdin
: gpm does not close stdin
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gpm)
: unstable
: all Linux
: P5 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-04-25 18:42 by
Modified: 2003-11-14 15:20 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-04-25 18:42:11
gpm-1.20.1-alt0.6rc1

Та же проблема, что и в #0002546.

# service gpm restart
Shutting down console mouse services:                                   [  OK  ]
Starting console mouse services:                                        [  OK  ]
# ps ax | grep [g]pm
21085 ?        S      0:00 gpm -m /dev/psaux -t ps/2
# lsof -p 21085
COMMAND   PID USER   FD   TYPE     DEVICE    SIZE     NODE NAME
gpm     21085 root  cwd    DIR        3,6    4096      128 /
gpm     21085 root  rtd    DIR        3,6    4096      128 /
gpm     21085 root  txt    REG        3,6   76184 25193686 /usr/sbin/gpm
gpm     21085 root  mem    REG        3,6   71000 21691474 /lib/ld-2.2.6.so
gpm     21085 root  mem    REG        3,6 1156872   595345 /lib/i686/libc-2.2.6.so
gpm     21085 root    0u   CHR      136,7                9 /dev/pts/7
gpm     21085 root    1w  FIFO        0,5           297810 pipe
gpm     21085 root    2w  FIFO        0,5           297811 pipe
gpm     21085 root    3u  unix 0xc34190c0           297813 socket
gpm     21085 root    5u  unix 0xc329da60           297815 /dev/gpmctl
---

---

------- Comment #1 From 2003-07-21 00:26:07 -------
Fixed in >= 1.20.1-alt1
------- Comment #2 From 2003-07-21 00:26:07 -------
Fixed in >= 1.20.1-alt1